IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[HDOSYA_ILAC_LISTE_DETAYLI]') AND xtype in (N'FN', N'IF', N'TF'))
DROP FUNCTION [dbo].HDOSYA_ILAC_LISTE_DETAYLI
GO


CREATE FUNCTION [dbo].[HDOSYA_ILAC_LISTE_DETAYLI] (@HDosyaId as Integer, @GIRISTARIH AS DATETIME, @AYRAC AS NVARCHAR(5))  
RETURNS nvarchar(max) AS  
BEGIN 
declare @FLISTE as nvarchar(max),
	@FATURA as nvarchar(250)
	
SET @FLISTE = '' 
DECLARE HDOSYA_ILAC_CURSOR CURSOR /*aşağıdaki yeri acarsak ilac basına sıra numarası eklenir*/
   FOR SELECT /*cast(ROW_NUMBER() OVER (ORDER BY '['+BARKOD+'] '+' ('+ CAST(ADET AS nvarchar(10))+' Adet) ' +ITEMADI) as nvarchar) +'> '+ */'['+BARKOD+'] '+' ('+ CAST(ADET AS nvarchar(10))+' Adet) ' +ITEMADI ITEMADI FROM HESAPISL (NOLOCK) LEFT OUTER JOIN TITEM (NOLOCK) ON HESAPISL.ITEMID=TITEM.ITEMID 
   WHERE HESAPISL.MDLKAYDET=1 AND HDOSYAID = @HDosyaId AND DBO.TARIHAL(ITARIH) = @GIRISTARIH AND IPTAL=0 AND TITEM.ITEMTURUID=3
   ORDER BY ITEMADI
OPEN HDOSYA_ILAC_CURSOR
FETCH NEXT FROM HDOSYA_ILAC_CURSOR INTO @FATURA
WHILE @@FETCH_STATUS = 0
BEGIN
	SET @FLISTE = @FLISTE + @FATURA + @AYRAC
	FETCH NEXT FROM HDOSYA_ILAC_CURSOR INTO @FATURA
END
	IF CHARINDEX(',', ISNULL(@FLISTE,' ')) <> 0
		SET @FLISTE = LEFT(@FLISTE, LEN(@FLISTE)-1)

set @FLISTE=CHAR(13)+@FLISTE
return @FLISTE
END
GO


